commit 7cdb3704d973da174829a5641b4433bfab4d4193
Author: Aaron Sawdey <acsawdey@linux.ibm.com>
Date:   Tue Jun 23 13:12:52 2020 -0500

    Allow --with-cpu=power10
    
    Update config.gcc so that we can use --with-cpu=power10.
    Also remove "future" from the 64-bit check as Segher suggests.
    
            * config.gcc: Identify power10 as a 64-bit processor and as valid
            for --with-cpu and --with-tune.
    
    (cherry picked from commit 71237df0a0b7f0f10cebedcd114fae7ad2aaebcb)

diff --git a/gcc/config.gcc b/gcc/config.gcc
index 6a349965c0a..ed9697b9d4c 100644
--- a/gcc/config.gcc
+++ b/gcc/config.gcc
@@ -513,7 +513,7 @@ powerpc*-*-*)
 	extra_headers="${extra_headers} ppu_intrinsics.h spu2vmx.h vec_types.h si2vmx.h"
 	extra_headers="${extra_headers} amo.h"
 	case x$with_cpu in
-	    xpowerpc64|xdefault64|x6[23]0|x970|xG5|xpower[3456789]|xpower6x|xrs64a|xcell|xa2|xe500mc64|xe5500|xe6500|xfuture)
+	    xpowerpc64|xdefault64|x6[23]0|x970|xG5|xpower[3456789]|xpower10|xpower6x|xrs64a|xcell|xa2|xe500mc64|xe5500|xe6500)
 		cpu_is_64bit=yes
 		;;
 	esac
@@ -4928,7 +4928,7 @@ case "${target}" in
 				eval "with_$which=405"
 				;;
 			"" | common | native \
-			| power[3456789] | power5+ | power6x \
+			| power[3456789] | power10 | power5+ | power6x \
 			| powerpc | powerpc64 | powerpc64le \
 			| rs64 \
 			| 401 | 403 | 405 | 405fp | 440 | 440fp | 464 | 464fp \

